#ifndef PERILOUS_GAMEFUNC_H
#define PERILOUS_GAMEFUNC_H

// oh yeah, here they are. the window dimensions, the target dimensions, and the
// titlebar text
float wtx1, wty1, wtx2, wty2;
float ctx1, cty1, ctx2, cty2;
char wtt[20];

// draws a secksi dialog somewhere
void draw_window(void);

// draw a secksi button somewhere
int draw_button(int x, int y, int w, char *text, int a, int b);

// draws the horrible mouse icon
void draw_mouser(void);

// update the window dimension for the "nice" effect
void update_window(void);

// wraps the value b if it goes over the given limits
int pp_wrap(int a, int b, int c);

// caps the value b to the given limits
int pp_cap(int a, int b, int c);

// draws the scoreboard
void pp_scoreboard(void);

// add black & white noise of given intensity to the source bitmap;
void pp_bwnoise(BITMAP *src, int inten);

// the texture generator
BITMAP *pp_texgen(int type, int w, int h);

// bitmap interpolater
BITMAP *pp_bmp_interpolate(BITMAP *src);

// draw "thinking" clock
void pp_draw_wait(void);

// cutscene text output 
void pp_intro_textout(int mip, int cp, int map, int tc, char *line1, char *line2, char *line3);

// cutscene image output 
void pp_intro_image(int mip, int cp, int map, int tc, BITMAP *bmp);

// play the intro
void pp_intro(void);

// play the ending
void pp_ending(void);

// clear the level data
void pp_clear_level(void);

// screw up the history
void pp_move_history(void);

// create keys. duh
void pp_create_keys(int range);

// checks if keys match
int pp_key_match(void);

// element drawing as cheap as it can get
void pp_draw_element(BITMAP *bmp, int elm, int x, int y);

#endif
