#include <math.h>
#include <string.h>
#include "gamesys.h"
#include "gamefunc.h"
#include "hiscore.h"
#include "music.h"

int main(void) {
  int menutemp, menutemp2, temp, opc, menux, ha, hb, hc, hd, lad, x, y, scrupd;
  scrupdl=1;
  if (pp_init()) while (!pp_globals.game_exit) {
    if (pp_globals.game_phase==0) {
      menutemp=0; ctx1=(pp_SCREEN_WIDTH/2)-30; pp_play_music(0); opc=255;
      cty1=(pp_SCREEN_HEIGHT/2)-30; ctx2=(pp_SCREEN_WIDTH/2)+30; cty2=(pp_SCREEN_HEIGHT/2)+30; scrupd=1;
    }
    if (pp_globals.game_phase==2) {
      pp_globals.game_phase=0;
      pp_play_music(0); scrupd=1;
    }
    while(pp_globals.game_phase==0) {
      wtx1=(pp_SCREEN_WIDTH/2)-120; wty1=180;
      wtx2=(pp_SCREEN_WIDTH/2)+120; wty2=350;
      strncpy(wtt, "Main menu", 19);
      if (pp_globals.intro_played) wty2=380;
      if (scrupd) {
        drawing_mode(DRAW_MODE_TRANS, NULL, 0, 0);
        set_trans_blender(0, 0, 0, 20);
        rectfill(pp_globals.dblbuf, 0, 0, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT, makecol(30+(25*cos(pp_globals.fx_angle3)),0,0));
        drawing_mode(DRAW_MODE_SOLID, NULL, 0, 0);
      }
      if (pp_globals.game_bps20) {
        pp_particle_create(200*sin(pp_globals.fx_angle), 200*cos(pp_globals.fx_angle2), 200*cos(pp_globals.fx_angle2), ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, 200, makecol(255,rand()%255,0));
        pp_particle_create(200*sin(pp_globals.fx_angle), 200*cos(pp_globals.fx_angle2), 200*cos(pp_globals.fx_angle2), ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, 200, makecol(255,rand()%255,0));
        pp_particle_create(-200*sin(pp_globals.fx_angle), -200*cos(pp_globals.fx_angle2), -200*cos(pp_globals.fx_angle2), ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, 200, makecol(255,rand()%255,0));
        pp_particle_create(-200*sin(pp_globals.fx_angle), -200*cos(pp_globals.fx_angle2), -200*cos(pp_globals.fx_angle2), ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, 200, makecol(255,rand()%255,0));
        pp_up_music();
        pp_poll_music();
        pp_globals.game_bps20=0;
      }
      if (scrupd) {
        pp_main_particle_draw();
        draw_window();     
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+1, 100, makecol(255,0,0), "PERILOUS PEREGRINATION");
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-1, 100, makecol(255,0,0), "PERILOUS PEREGRINATION");
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), 100, makecol(255,255,255), "PERILOUS PEREGRINATION");
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+1, pp_SCREEN_HEIGHT-60, makecol(2550,0,0), "TINS 2003 Entry by Inphernic");
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-1, pp_SCREEN_HEIGHT-60, makecol(255,0,0), "TINS 2003 Entry by Inphernic");
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), pp_SCREEN_HEIGHT-60, makecol(255,255,255), "TINS 2003 Entry by Inphernic");
        menutemp=draw_button(pp_SCREEN_WIDTH/2, 225, 60, "NEW GAME",0,menutemp);
        menutemp=draw_button(pp_SCREEN_WIDTH/2, 265, 60, "HALL OF FAME",1,menutemp);
        if (!pp_globals.intro_played) {
          menutemp=draw_button(pp_SCREEN_WIDTH/2, 305, 60, "EXIT GAME",2,menutemp);
        }
        else {
          menutemp=draw_button(pp_SCREEN_WIDTH/2, 305, 60, "REPLAY INTRO",2,menutemp);
          menutemp=draw_button(pp_SCREEN_WIDTH/2, 345, 60, "EXIT GAME",3,menutemp);
        }
        draw_mouser();
      }
      if (scrupdl) scrupd=0;
      if (pp_globals.game_bps60) {
        update_window();
        pp_particle_logic();
        pp_globals.game_bps60=0;
        if (opc>0) {
          opc-=3;
          if (opc<0) opc=0;
        }
        scrupd=1;
      }
      if (key[KEY_UP]) {
        menutemp--; 
        if (!pp_globals.intro_played) { if (menutemp<0) menutemp=2; }
        else if (menutemp<0) menutemp=3; 
        key[KEY_UP]=0; 
      }
      if (key[KEY_DOWN]) {
        menutemp++;       
        if (!pp_globals.intro_played) { if (menutemp>2) menutemp=0; }
        else if (menutemp>3) menutemp=0;
        key[KEY_DOWN]=0; 
      }
      if (key[KEY_ESC]) {
        menutemp=2;
        if (pp_globals.intro_played) menutemp=3;
        key[KEY_ESC]=0;
      }
      if (key[KEY_ENTER] || (mouseclick)) {
        mouseclick=0;
        menux=0;
        if (menutemp==0 || (pp_globals.intro_played && menutemp==2)) while(menux<=150) {
          if (pp_globals.game_bps60) {
            pp_main_particle_draw();
            menux++;
            pp_particle_logic();
            pp_globals.game_bps60=0;
            pp_globals.fx_angle3+=menux/357.0;
            drawing_mode(DRAW_MODE_TRANS, NULL, 0, 0);
            set_trans_blender(0, 0, 0, menux);
            rectfill(pp_globals.dblbuf, 0, 0, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT, 0);
            drawing_mode(DRAW_MODE_SOLID, NULL, 0, 0);
            pp_poll_music();
            pp_blit();
            pp_down_music();
          }          
        }        
        switch(menutemp) {
          case 0: // new game
            pp_stop_music();
            if (!pp_globals.intro_played) pp_intro();
            pp_globals.game_phase=4;
            opc=255;
            break;
          case 1: // hall of fame
            pp_globals.game_phase=1;
            break;
          case 2: // exit game or tutorial
          case 3: // exit game
          default:
            if (pp_globals.intro_played && (menutemp==2)) {
              pp_stop_music();
              pp_intro();            
              pp_globals.game_phase=2;
              opc=255;
              wtx1=(pp_SCREEN_WIDTH/2)-120;
              wty1=180;
              wtx2=(pp_SCREEN_WIDTH/2)+120;
              wty2=320;              
              ctx1=(pp_SCREEN_WIDTH/2)-30;
              cty1=(pp_SCREEN_HEIGHT/2)-30;
              ctx2=(pp_SCREEN_WIDTH/2)+30;
              cty2=(pp_SCREEN_HEIGHT/2)+30;
            }
            else pp_globals.game_phase=3;
            break;
        }
        key[KEY_ENTER]=0;
      }
      if (opc>0) {
        drawing_mode(DRAW_MODE_TRANS, NULL, 0, 0);
        set_trans_blender(0,0,0,opc);
        rectfill(pp_globals.dblbuf, 0, 0, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT, 0);
        drawing_mode(DRAW_MODE_SOLID, NULL, 0, 0);
        scrupd=1;
      }
      if (scrupd) { pp_blit(); pp_globals.fpsc--; }
      pp_globals.fpsc++;
    }
    if (pp_globals.game_phase==1) scrupd=1;
    while(pp_globals.game_phase==1) {
      wtx1=(pp_SCREEN_WIDTH/2)-250;
      wty1=150;
      wtx2=(pp_SCREEN_WIDTH/2)+250;
      wty2=400;
      strncpy(wtt, "Hall of fame", 19);
      if (scrupdl) scrupd=0;
      if (pp_globals.game_bps60) {        
        update_window();
        pp_particle_logic();
        pp_globals.game_bps60=0;
        scrupd=1;
      }
      if (scrupd) {
        drawing_mode(DRAW_MODE_TRANS, NULL, 0, 0);
        set_trans_blender(0, 0, 0, 20);
        rectfill(pp_globals.dblbuf, 0, 0, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT, 0);
        drawing_mode(DRAW_MODE_SOLID, NULL, 0, 0);
      }
      if (pp_globals.game_bps20) {
        pp_particle_create(200*sin(pp_globals.fx_angle), 200*cos(pp_globals.fx_angle2), 200*cos(pp_globals.fx_angle2), ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, 200, makecol(255,rand()%255,0));
        pp_particle_create(200*sin(pp_globals.fx_angle), 200*cos(pp_globals.fx_angle2), 200*cos(pp_globals.fx_angle2), ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, 200, makecol(255,rand()%255,0));
        pp_particle_create(-200*sin(pp_globals.fx_angle), -200*cos(pp_globals.fx_angle2), -200*cos(pp_globals.fx_angle2), ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, 200, makecol(255,rand()%255,0));
        pp_particle_create(-200*sin(pp_globals.fx_angle), -200*cos(pp_globals.fx_angle2), -200*cos(pp_globals.fx_angle2), ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, 200, makecol(255,rand()%255,0));
        pp_globals.game_bps20=0;
        pp_up_music();
        pp_poll_music();
      }
      if (key[KEY_ESC] || key[KEY_ENTER] || (mouseclick)) {
        mouseclick=0;
        pp_globals.game_phase=2;
        key[KEY_ESC]=0; key[KEY_ENTER]=0;
      }
      if (scrupd) {
        pp_main_particle_draw();
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+1, 100, makecol(255,0,0), "PERILOUS PEREGRINATION");
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-1, 100, makecol(255,0,0), "PERILOUS PEREGRINATION");
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), 100, makecol(255,255,255), "PERILOUS PEREGRINATION");
        if (pp_globals.mouse) {
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-1, pp_SCREEN_HEIGHT-60, makecol(255,127+(120*sin(pp_globals.fx_angle)),0), "Press 'LMB', 'ESC' or 'ENTER'");
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+1, pp_SCREEN_HEIGHT-60, makecol(255,127+(120*sin(pp_globals.fx_angle)),0), "Press 'LMB', 'ESC' or 'ENTER'");
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), pp_SCREEN_HEIGHT-60, makecol(255,255,255), "Press 'LMB', 'ESC' or 'ENTER'");
        }
        else {
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-1, pp_SCREEN_HEIGHT-60, makecol(255,127+(120*sin(pp_globals.fx_angle)),0), "Press 'ESC' or 'ENTER'");
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+1, pp_SCREEN_HEIGHT-60, makecol(255,127+(120*sin(pp_globals.fx_angle)),0), "Press 'ESC' or 'ENTER'");
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), pp_SCREEN_HEIGHT-60, makecol(255,255,255), "Press 'ESC' or 'ENTER'");
        }
        draw_window();
        for (temp=0; temp<10; temp++) {
          textprintf(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-200, 160, makecol(255,255,255), "Name");
          textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+50, 160, makecol(255,255,255), "Level");
          textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+200, 160, makecol(255,255,255), "Score");
          line(pp_globals.dblbuf, (pp_SCREEN_WIDTH/2)-200, 170, (pp_SCREEN_WIDTH/2)+200, 170, makecol(170,170,170));
          textprintf(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-199, 191+(temp*20), makecol(100,100,100), "%s", pp_hiscore_entries[temp].name);
          textprintf(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-200, 190+(temp*20), makecol(255,120+(120*cos(pp_globals.fx_angle2+temp)),temp*24), "%s", pp_hiscore_entries[temp].name);
          if (temp==0) textprintf(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-199, 190+(temp*20), makecol(255,120+((12*(temp+1))*cos(pp_globals.fx_angle2+temp)),temp*24), "%s", pp_hiscore_entries[temp].name);        
          textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+199, 191+(temp*20), makecol(100,100,100), "%9d", pp_hiscore_entries[temp].score);
          textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+200, 190+(temp*20), makecol(255,120+(120*cos(pp_globals.fx_angle2+temp)),temp*24), "%9d", pp_hiscore_entries[temp].score);
          if (pp_hiscore_entries[temp].level<26) {
            textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+50, 191+(temp*20), makecol(100,100,100), "%3d", pp_hiscore_entries[temp].level);
            textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+50, 190+(temp*20), makecol(255,120+(120*cos(pp_globals.fx_angle2+temp)),temp*24), "%3d", pp_hiscore_entries[temp].level);
          }
          else {
            textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+50, 191+(temp*20), makecol(100,100,100), "@@@");
            textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+50, 190+(temp*20), makecol(255,120+(120*cos(pp_globals.fx_angle2+temp)),temp*24), "@@@");
          }
        }
      }
      if (scrupd) { pp_blit(); pp_globals.fpsc--; }
      pp_globals.fpsc++;
    }
    if (pp_globals.game_phase==3) menutemp2=1;
    while(pp_globals.game_phase==3) {
      wtx1=(pp_SCREEN_WIDTH/2)-250;
      wty1=200;
      wtx2=(pp_SCREEN_WIDTH/2)+250;
      wty2=300;
      strncpy(wtt, "Confirmation", 19);
      scrupd=0;
      if (scrupdl) scrupd=0;
      if (pp_globals.game_bps60) {        
        update_window();
        pp_particle_logic();
        pp_globals.game_bps60=0;
        scrupd=1;
      }
      if (key[KEY_LEFT]) {
        menutemp2--;
        if (menutemp2<0) menutemp2=1;
        scrupd=1;
        key[KEY_LEFT]=0;
      }
      if (key[KEY_RIGHT]) {
        menutemp2++;
        if (menutemp2>1) menutemp2=0;
        scrupd=1;
        key[KEY_RIGHT]=0;
      }
      if (key[KEY_ENTER] || (mouseclick)) {
        mouseclick=0;
        if (menutemp2==0) pp_globals.game_phase=98;
        else pp_globals.game_phase=2;
        scrupd=1;
        key[KEY_ENTER]=0;
      }
      if (key[KEY_ESC]) {
        menutemp2=1;
        scrupd=1;
        key[KEY_ESC]=0;
      }
      if (scrupd) {
        drawing_mode(DRAW_MODE_TRANS, NULL, 0, 0);
        set_trans_blender(0, 0, 0, 20);
        rectfill(pp_globals.dblbuf, 0, 0, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT, 0);
        drawing_mode(DRAW_MODE_SOLID, NULL, 0, 0);
      }
      if (pp_globals.game_bps20) {
        pp_particle_create(200*sin(pp_globals.fx_angle), 200*cos(pp_globals.fx_angle2), 200*cos(pp_globals.fx_angle2), ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, 200, makecol(255,rand()%255,0));
        pp_particle_create(200*sin(pp_globals.fx_angle), 200*cos(pp_globals.fx_angle2), 200*cos(pp_globals.fx_angle2), ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, 200, makecol(255,rand()%255,0));
        pp_particle_create(-200*sin(pp_globals.fx_angle), -200*cos(pp_globals.fx_angle2), -200*cos(pp_globals.fx_angle2), ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, 200, makecol(255,rand()%255,0));
        pp_particle_create(-200*sin(pp_globals.fx_angle), -200*cos(pp_globals.fx_angle2), -200*cos(pp_globals.fx_angle2), ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, ((rand()%20)-10)/10.0, 200, makecol(255,rand()%255,0));
        pp_globals.game_bps20=0;
        pp_up_music();
        pp_poll_music();
      }
      if (scrupd) {
      pp_main_particle_draw();
      textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+1, 100, makecol(255,0,0), "PERILOUS PEREGRINATION");
      textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-1, 100, makecol(255,0,0), "PERILOUS PEREGRINATION");
      textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), 100, makecol(255,255,255), "PERILOUS PEREGRINATION");
      textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+1, pp_SCREEN_HEIGHT-60, makecol(2550,0,0), "TINS 2003 Entry by Inphernic");
      textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-1, pp_SCREEN_HEIGHT-60, makecol(255,0,0), "TINS 2003 Entry by Inphernic");
      textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), pp_SCREEN_HEIGHT-60, makecol(255,255,255), "TINS 2003 Entry by Inphernic");
      }
      if (scrupd) {
      draw_window();    
      textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-1, 220, makecol(255,0,0), "REALLY QUIT?");
      textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+1, 220, makecol(255,0,0), "REALLY QUIT?");
      textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), 220, makecol(255,255,255), "REALLY QUIT?");
      menutemp2=draw_button((pp_SCREEN_WIDTH/2)-100, 260, 30, "YES",0,menutemp2);
      menutemp2=draw_button((pp_SCREEN_WIDTH/2)+100, 260, 30, "NO" ,1,menutemp2);
      draw_mouser();
      }
      if (scrupd) { pp_blit(); pp_globals.fpsc--; }
      pp_globals.fpsc++;
    }
    if (pp_globals.game_phase==4) {
      pp_gamedata.level=1;
      pp_gamedata.score=0;      
      pp_globals.game_phase=5;
    }
    if (pp_globals.game_phase==5) {
      pp_draw_wait(); hd=0;
      if (pp_gamedata.level>=1 && pp_gamedata.level<=5) {
        if (pp_gamedata.bgl!=2) {
          if (pp_gamedata.bg) { destroy_bitmap(pp_gamedata.bg); pp_gamedata.bg=NULL; }
          pp_gamedata.bg=pp_texgen(2, 640, 480);
          if (pp_gamedata.bg) pp_gamedata.bgl=2;
          pp_gamedata.rows=3;
          pp_gamedata.elms=4;
          hd=1;
        }
      }
      if (pp_gamedata.level>=6 && pp_gamedata.level<=10) {
        if (pp_gamedata.bgl!=3) {
          if (pp_gamedata.bg) { destroy_bitmap(pp_gamedata.bg); pp_gamedata.bg=NULL; }
          pp_gamedata.bg=pp_texgen(3, 640, 480);
          if (pp_gamedata.bg) pp_gamedata.bgl=3;
          pp_gamedata.rows=4;
          pp_gamedata.elms=6;
          hd=1;
        }
      }
      if (pp_gamedata.level>=11 && pp_gamedata.level<=15) {
        if (pp_gamedata.bgl!=4) {
          if (pp_gamedata.bg) { destroy_bitmap(pp_gamedata.bg); pp_gamedata.bg=NULL; }
          pp_gamedata.bg=pp_texgen(4, 640, 480);
          if (pp_gamedata.bg) pp_gamedata.bgl=4;
          pp_gamedata.elms=7;
          pp_gamedata.rows=5;
          hd=1;
        }
      }
      if (pp_gamedata.level>=16 && pp_gamedata.level<=20) {
        if (pp_gamedata.bgl!=5) {
          if (pp_gamedata.bg) { destroy_bitmap(pp_gamedata.bg); pp_gamedata.bg=NULL; }
          pp_gamedata.bg=pp_texgen(5, 640, 480);
          if (pp_gamedata.bg) pp_gamedata.bgl=5;
          pp_gamedata.elms=8;
          pp_gamedata.rows=5;
          hd=1;
        }
      }
      if (pp_gamedata.level>=21 && pp_gamedata.level<=25) {
        if (pp_gamedata.bgl!=6) {
          if (pp_gamedata.bg) { destroy_bitmap(pp_gamedata.bg); pp_gamedata.bg=NULL; }
          pp_gamedata.bg=pp_texgen(6, 640, 480);
          if (pp_gamedata.bg) pp_gamedata.bgl=6;
          pp_gamedata.elms=9;
          pp_gamedata.rows=6;
          hd=1;
        }
      }
      rectfill(pp_gamedata.bg, 0, pp_SCREEN_HEIGHT-60-60, (pp_gamedata.elms*45)+15, pp_SCREEN_HEIGHT-63, makecol(100,100,100));
      rect(pp_gamedata.bg, 0, pp_SCREEN_HEIGHT-60-60, (pp_gamedata.elms*45)+15, pp_SCREEN_HEIGHT-63, 0);
      if (pp_gamedata.bg && hd) {
        drawing_mode(DRAW_MODE_TRANS, NULL, 0, 0);
        set_trans_blender(0, 0, 0, 190);
        rectfill(pp_gamedata.bg, 0, 0, pp_SCREEN_WIDTH, 40, makecol(0,0,0));
        rectfill(pp_gamedata.bg, 0, pp_SCREEN_HEIGHT-60, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT, makecol(0,0,0));
        drawing_mode(DRAW_MODE_SOLID, NULL, 0, 0);        
        line(pp_gamedata.bg, 0, 40, pp_SCREEN_WIDTH, 40, makecol(100,100,100));
        line(pp_gamedata.bg, 0, 41, pp_SCREEN_WIDTH, 41, makecol(255,255,255));
        line(pp_gamedata.bg, 0, 42, pp_SCREEN_WIDTH, 42, makecol(100,100,100));
        line(pp_gamedata.bg, 0, pp_SCREEN_HEIGHT-60, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT-60, makecol(100,100,100));
        line(pp_gamedata.bg, 0, pp_SCREEN_HEIGHT-61, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT-61, makecol(255,255,255));
        line(pp_gamedata.bg, 0, pp_SCREEN_HEIGHT-62, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT-62, makecol(100,100,100));
        rectfill(pp_gamedata.bg, 0, pp_SCREEN_HEIGHT-30, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT-10, 0);
        line(pp_gamedata.bg, 0, pp_SCREEN_HEIGHT-31, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT-31, makecol(100,100,100));
        line(pp_gamedata.bg, 0, pp_SCREEN_HEIGHT-9, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT-9, makecol(255,255,255));
      }
      for (ha=1; ha<=pp_gamedata.elms; ha++) {
        pp_draw_element(pp_gamedata.bg,ha, (ha*45)-15, pp_SCREEN_HEIGHT-92);
      }
      pp_gamedata.time=300+((25-pp_gamedata.level)*15);
      pp_gamedata.maxtime=pp_gamedata.time;      
      ha=0; hb=0; hc=0; hd=0;
      if (pp_gamedata.level==1) hc=255;
      pp_play_music(2);
      lad=0; 
      pp_gamedata.jello=0;
      pp_create_keys(pp_gamedata.elms);
      pp_clear_level();
    }
    while(pp_globals.game_phase==5) {
      if (pp_gamedata.bg) draw_sprite(pp_globals.dblbuf,pp_gamedata.bg,0,0);    
      else clear(pp_globals.dblbuf);
      if (pp_gamedata.bg) while(hc>0) {
        draw_sprite(pp_globals.dblbuf,pp_gamedata.bg,0,0);
        if (pp_globals.game_bps60) {
          hc-=3;
          if (hc<0) hc=0;
          pp_up_music();
          pp_poll_music();
          pp_globals.game_bps60=0;
        }
        pp_scoreboard();
        drawing_mode(DRAW_MODE_TRANS, NULL, 0, 0);
        set_trans_blender(0,0,0,hc);
        rectfill(pp_globals.dblbuf, 0, 0, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT, 0);
        drawing_mode(DRAW_MODE_SOLID, NULL, 0, 0);
        pp_blit();
      }
      while(hb<6) {
        rectfill(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)-40, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)+40, makecol(50,50,50));
        line(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)-40, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)-40, makecol(255,255,255));
        line(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)+40, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)+40, makecol(255,255,255));
        line(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)-41, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)-41, 0);
        line(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)+41, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)+41, 0);
        if (pp_globals.game_bps60) {
          ha++;
          pp_up_music();
          pp_poll_music();
          if (ha>=160) { ha=0; hb++;};
        }
        pp_scoreboard();
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)-20, makecol(255,255,255), "LEVEL %3d", pp_gamedata.level);
        if (hb==1) textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)+20, makecol(100,255,100), "@@ GET READY @@");
        if (hb==3) textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)+20, makecol(255,255,100), "@@ GET READY @@");
        if (hb==5) textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)+20, makecol(255,100,100), "@@ GET READY @@");        
        pp_blit();
      }
      pp_globals.game_phase=6;
      pp_blit();
    }
    if (pp_globals.game_phase==6) scrupd=1;
    while(pp_globals.game_phase==6) {
      if (pp_globals.game_bps60) {
        pp_up_music();
        pp_poll_music();
        pp_globals.game_bps60=0;        
      }
      if (scrupdl) scrupd=0;
      if (pp_globals.game_bps20) {
        pp_globals.game_bps20=0;
        if (pp_gamedata.time>0) {
          pp_gamedata.time--;
          scrupd=1;
        }
        else {
          ha=0; hb=0; scrupd=2;
          while(hb<6) {
            if (scrupd==2) scrupd=1;
            else if (scrupdl) scrupd=0;
            if (pp_globals.game_bps60) {
              ha++;
              pp_up_music();
              pp_poll_music();
              if (ha>=60) { ha=0; hb++;}
              scrupd=1;
              pp_globals.game_bps60=0;
            }
            if (scrupd) {
              if (pp_gamedata.bg) draw_sprite(pp_globals.dblbuf,pp_gamedata.bg,0,0);    
              else clear(pp_globals.dblbuf);
              rectfill(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)-40, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)+40, makecol(50,50,50));
              line(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)-40, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)-40, makecol(255,255,255));
              line(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)+40, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)+40, makecol(255,255,255));
              line(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)-41, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)-41, 0);
              line(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)+41, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)+41, 0);
              pp_scoreboard();
              if (hb==1) textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)-(text_height(font)/2), makecol(255,255,255), "@@ TIME UP @@");
              if (hb==3) textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)-(text_height(font)/2), makecol(255,255,255), "@@ TIME UP @@");
              if (hb==5) textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)-(text_height(font)/2), makecol(255,255,255), "@@ TIME UP @@");        
            }
            if (scrupd) { pp_blit(); pp_globals.fpsc--; }
            pp_globals.fpsc++;
          }
          pp_globals.game_phase=7; scrupd=1;
        }
      }
      if (scrupd) {
        if (pp_gamedata.bg) draw_sprite(pp_globals.dblbuf,pp_gamedata.bg,0,0);    
        else clear(pp_globals.dblbuf);
      }
      if (scrupd) pp_scoreboard();
      if (scrupd) if (pp_globals.game_phase!=7) {
      for (x=0; x<12; x++) {
        for (y=0; y<pp_gamedata.rows+1; y++) {
          if (y<pp_gamedata.rows || (y==pp_gamedata.rows && x==11)) {
            circlefill(pp_globals.dblbuf, 40+(x*45)+(y*10), 100+(y*45), 21, 0);
            if (x<11) {
              if (pp_gamedata.leveldata[y].res[x]!=-1) {
                switch(pp_gamedata.leveldata[y].res[x]) {
                  case 0:
                    circlefill(pp_globals.dblbuf, 40+(x*45)+(y*10), 100+(y*45), 20, 0); 
                    break;
                  case 1:
                    circlefill(pp_globals.dblbuf, 40+(x*45)+(y*10), 100+(y*45), 20, makecol(0,0,255)); 
                    break;
                  case 2: 
                    circlefill(pp_globals.dblbuf, 40+(x*45)+(y*10), 100+(y*45), 20, makecol(255,0,0)); 
                    break;
                  case 3: 
                    circlefill(pp_globals.dblbuf, 40+(x*45)+(y*10), 100+(y*45), 20, makecol(255,255,0)); 
                    break;
                  case 4: 
                    circlefill(pp_globals.dblbuf, 40+(x*45)+(y*10), 100+(y*45), 20, makecol(0,255,0)); 
                    break;
                  default: 
                    break;
                }
              }
              else {
                circlefill(pp_globals.dblbuf, 40+(x*45)+(y*10), 100+(y*45), 20, makecol(100,100,100)); 
              }
            }
            else {
              circlefill(pp_globals.dblbuf, 40+(x*45)+(y*10), 100+(y*45), 20, makecol(155,155,50)); 
              if (pp_gamedata.entry==y) circlefill(pp_globals.dblbuf, 40+(x*45)+(y*10), 100+(y*45), 19, makecol(255,255,255)); 
            }
            if ((!(y==pp_gamedata.rows && x==11))&&(pp_gamedata.leveldata[y].elm[x]!=-1)) pp_draw_element(pp_globals.dblbuf,pp_gamedata.leveldata[y].elm[x], 40+(x*45)+(y*10), 100+(y*45));
            textprintf_centre(pp_globals.dblbuf, font, 42+(11*45)+(pp_gamedata.rows*10), 100+(pp_gamedata.rows*45)-(text_height(font)/2), makecol(0,0,0), "EXE");
          }
        }
      }
      }
      if (key[KEY_BACKSPACE]) {
        if (pp_gamedata.entry>0) {
          pp_gamedata.entry--;
          pp_gamedata.leveldata[pp_gamedata.entry].elm[11]=-1;
          scrupd=1;
        }
        key[KEY_BACKSPACE]=0;
      }
      if (key[KEY_1]) {
        if (pp_gamedata.entry<pp_gamedata.rows) if (pp_gamedata.elms>=1) {pp_gamedata.leveldata[pp_gamedata.entry].elm[11]=1;pp_gamedata.entry++;}
        key[KEY_1]=0;
        scrupd=1;
      }
      if (key[KEY_2]) {
        if (pp_gamedata.entry<pp_gamedata.rows) if (pp_gamedata.elms>=2) {pp_gamedata.leveldata[pp_gamedata.entry].elm[11]=2;pp_gamedata.entry++;}
        key[KEY_2]=0;
        scrupd=1;
      }
      if (key[KEY_3]) {
        if (pp_gamedata.entry<pp_gamedata.rows) if (pp_gamedata.elms>=3) {pp_gamedata.leveldata[pp_gamedata.entry].elm[11]=3;pp_gamedata.entry++;}
        key[KEY_3]=0;
        scrupd=1;
      }
      if (key[KEY_4]) {
        if (pp_gamedata.entry<pp_gamedata.rows) if (pp_gamedata.elms>=4) {pp_gamedata.leveldata[pp_gamedata.entry].elm[11]=4;pp_gamedata.entry++;}
        key[KEY_4]=0;
        scrupd=1;
      }
      if (key[KEY_5]) {
        if (pp_gamedata.entry<pp_gamedata.rows) if (pp_gamedata.elms>=5) {pp_gamedata.leveldata[pp_gamedata.entry].elm[11]=5;pp_gamedata.entry++;}
        key[KEY_5]=0;
        scrupd=1;
      }
      if (key[KEY_6]) {
        if (pp_gamedata.entry<pp_gamedata.rows) if (pp_gamedata.elms>=6) {pp_gamedata.leveldata[pp_gamedata.entry].elm[11]=6;pp_gamedata.entry++;}
        key[KEY_6]=0;
        scrupd=1;
      }
      if (key[KEY_7]) {
        if (pp_gamedata.entry<pp_gamedata.rows) if (pp_gamedata.elms>=7) {pp_gamedata.leveldata[pp_gamedata.entry].elm[11]=7; pp_gamedata.entry++;}
        key[KEY_7]=0;
        scrupd=1;
      }
      if (key[KEY_8]) {
        if (pp_gamedata.entry<pp_gamedata.rows) if (pp_gamedata.elms>=8) {pp_gamedata.leveldata[pp_gamedata.entry].elm[11]=8; pp_gamedata.entry++;}
        key[KEY_8]=0;
        scrupd=1;
      }
      if (key[KEY_9]) {
        if (pp_gamedata.entry<pp_gamedata.rows) if (pp_gamedata.elms>=9) { pp_gamedata.leveldata[pp_gamedata.entry].elm[11]=9; pp_gamedata.entry++; }
        key[KEY_9]=0;
        scrupd=1;
      }
      if (key[KEY_ENTER]) {
        if (pp_gamedata.entry>=pp_gamedata.rows) {
          switch (pp_key_match()) {
            case 1:
              pp_gamedata.jello=1;
              break;
            case 2:
              lad=1;
              break;
            default:
              break;
          }
          pp_move_history();
          scrupd=1;
        }
        key[KEY_ENTER]=0;
      }
      if (key[KEY_ESC]) { 
        hd=1; key[KEY_ESC]=0; menutemp2=0;
        ctx1=(pp_SCREEN_WIDTH/2)-30;
        cty1=(pp_SCREEN_HEIGHT/2)-30;
        ctx2=(pp_SCREEN_WIDTH/2)+30;
        cty2=(pp_SCREEN_HEIGHT/2)+30;
        scrupd=2;
        while(hd) {
          wtx1=(pp_SCREEN_WIDTH/2)-120;
          strncpy(wtt, "Paused", 19);
          wty1=180;
          wtx2=(pp_SCREEN_WIDTH/2)+120;
          wty2=320;
          if (scrupd) {
            if (pp_gamedata.bg) draw_sprite(pp_globals.dblbuf,pp_gamedata.bg,0,0);    
            else clear(pp_globals.dblbuf);
            draw_window();
            pp_scoreboard();
            menutemp2=draw_button(pp_SCREEN_WIDTH/2, 225, 60, "RESUME GAME",0,menutemp2);
            menutemp2=draw_button(pp_SCREEN_WIDTH/2, 265, 60, "EXIT GAME",1,menutemp2);
            draw_mouser();
          }
          if (scrupd==2) scrupd=1;
          else if (scrupdl) scrupd=0;
          if (pp_globals.game_bps60) {
            update_window();
            pp_up_music();
            pp_poll_music();
            pp_globals.game_bps60=0;        
            scrupd=1;
          }
          if (key[KEY_UP]) {
            menutemp2--; 
            if (menutemp2<0) menutemp2=1;
            key[KEY_UP]=0;
            scrupd=1;
          }
          if (key[KEY_DOWN]) {
            menutemp2++; 
            if (menutemp2>1) menutemp2=0;
            key[KEY_DOWN]=0;
            scrupd=1;
          }
          if (key[KEY_ENTER] || (mouseclick)) {
            scrupd=1;
            mouseclick=0;
            key[KEY_ENTER]=0;
            switch(menutemp2) {
              case 0:
                hd=0;
                scrupd=1;
                break;
              case 1:
                hc=1; menutemp2=1;
                wtx1=(pp_SCREEN_WIDTH/2)-250;
                wty1=200;
                wtx2=(pp_SCREEN_WIDTH/2)+250;
                wty2=300;
                strncpy(wtt, "Confirmation", 19);
                scrupd=2;
                while(hc) {
                  if (scrupd==2) scrupd=1;
                  else if (scrupdl) scrupd=0;
                  if (key[KEY_LEFT]) {
                    menutemp2--;
                    if (menutemp2<0) menutemp2=1;
                    key[KEY_LEFT]=0;
                    scrupd=1;
                  }
                  if (key[KEY_RIGHT]) {
                    menutemp2++;
                    if (menutemp2>1) menutemp2=0;
                    key[KEY_RIGHT]=0;
                    scrupd=1;
                  }
                  if (key[KEY_ENTER] || (mouseclick)) {
                    mouseclick=0;
                    if (menutemp2==0) { pp_globals.game_phase=7; hd=0; hc=0; }
                    else hc=0;
                    key[KEY_ENTER]=0;
                    scrupd=1;
                  }
                  if (key[KEY_ESC]) {
                    menutemp2=1;
                    key[KEY_ESC]=0;
                    scrupd=1;
                  }
                  if (pp_globals.game_bps60) {        
                    update_window();
                    pp_up_music();
                    pp_poll_music();
                    pp_globals.game_bps60=0;
                    scrupd=1;
                  }
                  if (scrupd) {
                    if (pp_gamedata.bg) draw_sprite(pp_globals.dblbuf,pp_gamedata.bg,0,0);    
                    else clear(pp_globals.dblbuf);
                    pp_scoreboard();
                    draw_window();    
                    textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-1, 220, makecol(255,0,0), "REALLY QUIT?");
                    textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+1, 220, makecol(255,0,0), "REALLY QUIT?");
                    textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), 220, makecol(255,255,255), "REALLY QUIT?");
                    menutemp2=draw_button((pp_SCREEN_WIDTH/2)-100, 260, 30, "YES",0,menutemp2);
                    menutemp2=draw_button((pp_SCREEN_WIDTH/2)+100, 260, 30, "NO" ,1,menutemp2);
                    draw_mouser();
                  }
                  if (scrupd) { pp_blit(); pp_globals.fpsc--; }
                  pp_globals.fpsc++;
                }
                scrupd=1;
                break;
            }
          }
          if (scrupd) { pp_blit(); pp_globals.fpsc--; }
          pp_globals.fpsc++;
        }
        scrupd=1;        
      }

      if (scrupd) { pp_blit(); pp_globals.fpsc--; }
      pp_globals.fpsc++;
//      pp_blit();
      if (lad) {
        key[KEY_ENTER]=0;
        key[KEY_SPACE]=0;
        key[KEY_ESC]=0;
        hd=0; hc=0;
        pp_gamedata.score+=5000;
        if (pp_gamedata.level==25) pp_gamedata.score+=100000;
        if (pp_gamedata.jello) pp_gamedata.score+=50000;
      }
      while(lad) {
        if (pp_gamedata.bg) draw_sprite(pp_globals.dblbuf,pp_gamedata.bg,0,0);    
        else clear(pp_globals.dblbuf);
        if (pp_globals.game_bps60) {
          pp_up_music();
          pp_poll_music();
          if (pp_gamedata.time>0) {
            pp_gamedata.time--;
            pp_gamedata.score+=20;
            hc+=20;
          }
          else hd=1;
          pp_globals.game_bps60=0;
        }
        if (!hd) {
          if (key[KEY_ENTER] || key[KEY_ESC] || key[KEY_SPACE]) {
            key[KEY_ENTER]=0;
            key[KEY_SPACE]=0;
            key[KEY_ESC]=0;
            pp_gamedata.score+=pp_gamedata.time*20;
            hc+=pp_gamedata.time*20;
            pp_gamedata.time=0;
            hd=1;
          }
        }
        pp_scoreboard();
        rectfill(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)-80, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)+80, makecol(50,50,50));
        line(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)-80, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)-80, makecol(255,255,255));
        line(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)+80, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)+80, makecol(255,255,255));
        line(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)-81, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)-81, 0);
        line(pp_globals.dblbuf, 0, (pp_SCREEN_HEIGHT/2)+81, pp_SCREEN_WIDTH, (pp_SCREEN_HEIGHT/2)+81, 0);
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)-70, makecol(255,255,255), "LEVEL COMPLETE!");
        textprintf(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-200, (pp_SCREEN_HEIGHT/2)-30, makecol(255,255,255), "TIME BONUS");
        textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+200, (pp_SCREEN_HEIGHT/2)-30, makecol(155,255,155), "%d", hc);
        textprintf(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-200, (pp_SCREEN_HEIGHT/2)-10, makecol(255,255,255), "LEVEL COMPLETION BONUS");
        textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+200, (pp_SCREEN_HEIGHT/2)-10, makecol(155,255,155), "5000");
        textprintf(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-200, (pp_SCREEN_HEIGHT/2)+10, makecol(255,255,255), "JELLO BONUS");
        if (pp_gamedata.jello) textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+200, (pp_SCREEN_HEIGHT/2)+10, makecol(155,255,155), "50000");
        else textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+200, (pp_SCREEN_HEIGHT/2)+10, makecol(255,155,155), "0");
        if (pp_gamedata.level==25) {
          textprintf(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)-200, (pp_SCREEN_HEIGHT/2)+30, makecol(255,255,255), "GAME COMPLETION BONUS");
          textprintf_right(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2)+200, (pp_SCREEN_HEIGHT/2)+30, makecol(155,255,155), "100000");
        }
        if (!hd) textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)+60, makecol(255,255,255), "PRESS 'ESC', 'ENTER' OR 'SPACE' TO SKIP");        
        if (hd) { 
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)+60, makecol(255,255,255), "PRESS 'ESC', 'ENTER' OR 'SPACE' TO ADVANCE");
          if (key[KEY_ENTER] || key[KEY_ESC] || key[KEY_SPACE]) {
            key[KEY_ENTER]=0;
            key[KEY_SPACE]=0;
            key[KEY_ESC]=0;
            pp_globals.game_phase=5;
            if (pp_gamedata.level<25) pp_gamedata.level++;
            else {
              pp_globals.game_phase=8;
            }
            lad=0; hd=0;
          }
        }
        pp_blit();
      }
    }
    if(pp_globals.game_phase==8) {
      menux=0;
      hd=0;
    }
    while(pp_globals.game_phase==8) {
      while(menux<150) {
        if (pp_globals.game_bps60) {
          menux++;
          drawing_mode(DRAW_MODE_TRANS, NULL, 0, 0);
          set_trans_blender(0, 0, 0, menux);
          rectfill(pp_globals.dblbuf, 0, 0, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT, 0);
          drawing_mode(DRAW_MODE_SOLID, NULL, 0, 0);
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)-40, makecol(255,255,255), "@@@ CONGRATULATIONS @@@");
          pp_blit();
          pp_draw_wait();
          pp_down_music();
          pp_poll_music();
          pp_globals.game_bps60=0;
        }
      }
      pp_stop_music();
      pp_ending();
      pp_globals.game_phase=7;
    }           
    if(pp_globals.game_phase==7) {
      menux=0;
      hd=0;
    }
    while(pp_globals.game_phase==7) {
      while(menux<150) {
        if (pp_globals.game_bps60) {
          menux++;
          drawing_mode(DRAW_MODE_TRANS, NULL, 0, 0);
          set_trans_blender(0, 0, 0, menux);
          rectfill(pp_globals.dblbuf, 0, 0, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT, 0);
          drawing_mode(DRAW_MODE_SOLID, NULL, 0, 0);
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)-40, makecol(255,255,255), "GAME OVER");
          pp_blit();
          pp_draw_wait();
          pp_down_music();
          pp_poll_music();
          pp_globals.game_bps60=0;
        }
      }
      pp_stop_music();
      textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)-40, makecol(255,255,255), "GAME OVER");
      if (pp_hiscore_new(pp_gamedata.score)) {
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)-20, makecol(255,155,155), "@@@ YOU MADE IT TO THE HALL OF FAME @@@");          
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)+20, makecol(255,255,255), "ENTER YOUR NAME");          
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)+40, makecol(155,255,155), "<%s>",hien);
        for(ha=0; ha<pp_HISCORE_MAXLEN; ha++) hien[ha]='\0';
        hb=0; hc=0;
        clear_keybuf();
        while(!hb) {
          clear(pp_globals.dblbuf);
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)-40, makecol(255,255,255), "GAME OVER");
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)-20, makecol(255,155,155), "@@@ YOU MADE IT TO THE HALL OF FAME @@@");          
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)+20, makecol(255,255,255), "ENTER YOUR NAME");          
          textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)+40, makecol(155,255,155), "<%s>",hien);
          pp_blit();
          hd=(readkey() & 0xff);
          if (hd==8) {
            clear_keybuf();
            if (hc>0) hc--;
            hien[hc]='\0';
          }
          if (hd>=32 && hd<=122) {
            clear_keybuf();
            if (hc<pp_HISCORE_MAXLEN) {
              if (hc<pp_HISCORE_MAXLEN) hien[hc]=hd;
              else hien[pp_HISCORE_MAXLEN-1]=hd;
              if (hc<(pp_HISCORE_MAXLEN)) hc++;
            }
          }
          if (key[KEY_ENTER]) {
            if (strlen(hien)>0) hb=1;
            key[KEY_ENTER]=0;
          }        
        }
        pp_hiscore_add(pp_gamedata.score,pp_gamedata.level);
        pp_hiscore_save();
      }
      else {
        textprintf_centre(pp_globals.dblbuf, font, (pp_SCREEN_WIDTH/2), (pp_SCREEN_HEIGHT/2)+40, makecol(255,255,255), "@ TRY AGAIN @");
        pp_blit();
        while (hd<200) {
          if (pp_globals.game_bps60) {
            hd++;
            pp_globals.game_bps60=0;
          }
        }
      }
      ctx1=(pp_SCREEN_WIDTH/2)-30;
      cty1=(pp_SCREEN_HEIGHT/2)-30;
      ctx2=(pp_SCREEN_WIDTH/2)+30;
      cty2=(pp_SCREEN_HEIGHT/2)+30;
      menutemp=0;
      pp_globals.game_phase=1; opc=0;
    }
    while(pp_globals.game_phase==98) {
      menux=0;
      while(menux<=150) {
        if (pp_globals.game_bps60) {
          pp_main_particle_draw();
          menux++;
          pp_particle_logic();
          pp_globals.game_bps60=0;
          pp_globals.fx_angle3+=menux/357.0;
          drawing_mode(DRAW_MODE_TRANS, NULL, 0, 0);
          set_trans_blender(0, 0, 0, menux);
          rectfill(pp_globals.dblbuf, 0, 0, pp_SCREEN_WIDTH, pp_SCREEN_HEIGHT, 0);
          drawing_mode(DRAW_MODE_SOLID, NULL, 0, 0);
          pp_down_music();
          pp_poll_music();
          pp_blit();          
        }          
      }
      pp_stop_music();
      pp_globals.game_phase=99;
    }
    if(pp_globals.game_phase==99) pp_globals.game_exit=1;  
  }
  pp_exit();
  return 0;
}
END_OF_MAIN();
